<?php

 /*
  * To change this license header, choose License Headers in Project Properties.
  * To change this template file, choose Tools | Templates
  * and open the template in the editor.
  */

 /**
  * Description of User
  *
  * @author Developer
  */
 class Clear extends MY_Model
 {

 	public function __construct()
 	{
 		parent::__construct();
 		$this->load->database();
 		$this->_table      = '';
 		$this->primary_key = '';
 	}
 //	ALTER TABLE  `evi04candidat` AUTO_INCREMENT =1;
 	//ALTER TABLE  `evi03listas` AUTO_INCREMENT =1;
 	//ALTER TABLE  `evi02instan` AUTO_INCREMENT =1;
 	//ALTER TABLE  `evi06loinpa` AUTO_INCREMENT =1;
 	//ALTER TABLE  `evi07audpro` AUTO_INCREMENT =1;
 	//ALTER TABLE  `evi09ingre` AUTO_INCREMENT =1;
     /**
      * Limpia ingreso y cambia estado de inicio de sesión.
      * 
      * @return boolean
      */
     public function limpiar_reg_participante()
     {
//         if ($this->db->update('evi05partic', ['FEC_REGIST' => null, 'BOL_INISES' => 0])) {
     	if ($this->db->update('evi05partic', ['BOL_INISES' => 0, 'FEC_INISES'=>''])) {
     		return true;
     	}
     	else {
     		return false;
     	}
     }
     public function limpiar_reg_login()
     {
//         if ($this->db->update('evi05partic', ['FEC_REGIST' => null, 'BOL_INISES' => 0])) {
     	if ($this->db->update('evi05partic', ['NUM_INTENLOGIN' => 0, 'BOL_BLOQUEADO'=>0])) {
     		$this->db->query("ALTER TABLE evi05partic AUTO_INCREMENT =1");
     		return true;
     	}
     	else {
     		return false;
     	}
     }

     /**
      * Limpia la fecha de registro del participante.
      * 
      * @return boolean
      */
     public function limpiar_reg_ingresos_salidas()
     {
     	if ($this->db->update('evi05partic', ['FEC_REGIST' => null])) {
     		$this->db->query("ALTER TABLE evi05partic AUTO_INCREMENT =1");
     		return true;
     	}
     	else {
     		return false;
     	}
     }

     /**
      *  Limpia registros de votos.
      * 
      * @return boolean
      */
     public function limpiar_reg_votos()
     {
     	if ($this->db->update('evi04candidat_mr', ['NUM_TOVOCA' => 0])) {
     		$this->db->query("ALTER TABLE evi04candidat_mr AUTO_INCREMENT =1");
     		return true;
     	}
     	else {
     		return false;
     	}
     }

     /**
      * Elimina el candidato de la lista.
      * 
      * @return boolean
      */
     public function eliminar_candidato_lista()
     {
     	if ($this->db->delete('evi04candidat_mr', ['TEXT_TIPLIST' => 'LCL'])) {
     		$this->db->query("ALTER TABLE evi04candidat_mr AUTO_INCREMENT =1");
     		return true;
     	}
     	else {
     		return false;
     	}
     }
   
     public function clean_vot($arr)
     {
     	$this->_table = 'evi05partic';
     	$this->update_all($arr);
     }

  }
